aboutsummaryrefslogtreecommitdiffhomepage
path: root/autogen.sh
diff options
context:
space:
mode:
authorGravatar kenton@google.com <kenton@google.com@630680e5-0e50-0410-840e-4b1c322b438d>2009-04-21 21:00:39 +0000
committerGravatar kenton@google.com <kenton@google.com@630680e5-0e50-0410-840e-4b1c322b438d>2009-04-21 21:00:39 +0000
commit37ad00d2c4409b4b3d629e1b0ae32bb814cec740 (patch)
tree17a6af5bb668de01220cecfa9cebb0c9ab55dfe9 /autogen.sh
parenta6de64aef3e75dd0e0b2540280037139ef3d0066 (diff)
Update bundled gtest to latest version (1.3.0) and include it as a
nested autoconf package rather than as raw source. This way we can trivially update it again in the future. Actually, this change doesn't even include gtest in protobuf's SVN. Instead, we auto-download it when autogen.sh is invoked. Note that it will be included in release distributions, though. TODO: * Add a configure option to use the system's installed gtest rather than the bundled copy. Apparently the gtest maintainers are working on some general-purpose autoconf macros which will do this automagically. * Update MSVC project files.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index efa5a599..f40d3bcf 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -13,7 +13,14 @@ __EOF__
exit 1
fi
-set -ex
+if test ! -e gtest; then
+ echo "gtest bundle not present. Downloading gtest-1.3.0 automatically." >&2
+ set -ex
+ curl http://googletest.googlecode.com/files/gtest-1.3.0.tar.bz2 | tar jx
+ mv gtest-1.3.0 gtest
+else
+ set -ex
+fi
# TODO(kenton): Remove the ",no-obsolete" part and fix the resulting warnings.
autoreconf -f -i -Wall,no-obsolete